<mat-card>
  <mat-form-field class="searchbox">
    <input
      matInput
      #searchbox
      (keyup)="search(searchbox.value)"
      placeholder="Search for course"
    />
  </mat-form-field>
</mat-card>
<mat-divider></mat-divider>
<cdk-virtual-scroll-viewport class="courses-content" [itemSize]="150">
  <app-course
    *cdkVirtualFor="let course of courses"
    [course]="course"
  ></app-course>
</cdk-virtual-scroll-viewport>
